{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">Users list</div>
          
          <div class="panel-options">
              <a href="{{path('users_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
              <!-- <a href="#" data-rel="collapse"><i class="fa fa-trash-restore"></i></a> -->
              
          </div>
      </div>
        <div class="panel-body">
         <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Full name'|trans}}</th>
                <th>{{'Username'|trans}}</th>
                <th{{'Email'|trans}}</th>
                <th>{{'Roles'|trans}}</th>
                <th>{{'Created at'|trans}}</th>
                <th>{{'Updated at'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for user in users %}
                <tr>
                    <td>
                        {{user.id}}
                    </td>
                    <td>
                        {{user.fullname}}
                    </td>
                    <td>
                        {{user.username}}
                    </td>
                    <td>
                        {{user.email}}
                    </td>
                    <td>
                        {{user.roles|join(", ")}}
                    </td>
                    <td>
                        {{user.getCreatedAt()|date('d-m-Y H:i')}}
                    </td>
                    <td>
                        {{user.getUpdatedAt()|date('d-m-Y H:i')}}
                    </td>
                    <td>
                        <a href="{{path('users_edit',{id:user.id})}}">
                            <i class="fa fa-edit"></i>
                        </a>
                        <a href="{{path('users_delete',{id:user.id})}}">
                            <i class="fa fa-trash-alt"></i>
                        </a>
                    </td>
                </tr>
             {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(users)}}
        </div>
    </div>
</div>
{% endblock %}
